#!/bin/bash

set -e
base_dir=$(
    cd "$(dirname "$0")"
    pwd
)
cd $base_dir

yaml() {
    python3 -c "import yaml;print(yaml.safe_load(open('$1'))$2)"
}

# Check if MinIO is running
if systemctl is-active --quiet minio-store; then
    :
else
    echo "❌ MinIO is not running. Please start it first."
    exit 1
fi

MINIO_API_PORT=$(yaml ./config/aside.yaml "['minio']['api-port']")

# Add alias
./bin/mc alias set local http://127.0.0.1:9010 minioadmin minioadmin

# Register access key
ACCESS_KEY="25cSXPqzdHrPwJkSIRkM"
ACCESS_KEY_SECRET="FN3AhQaVo7z1wgvce3IWiI1CI68T02OVeSUKCeRf"

# If the access key already exists, do nothing
if ./bin/mc admin accesskey list local | grep -q "$ACCESS_KEY"; then
    echo "Access key already exists, skipping..."
else
    ./bin/mc admin accesskey create local --name "InitialAccessKey" \
        --access-key "$ACCESS_KEY" --secret-key "$ACCESS_KEY_SECRET"
fi

# Add a bucket if not exists
BUCKET_NAME="bucket"

./bin/mc ls local/$BUCKET_NAME &>/dev/null || ./bin/mc mb local/$BUCKET_NAME

# Done!
echo "✅ Successfully configured MinIO server."
