#!/bin/bash

base_dir=$(
    cd "$(dirname "$0")"
    pwd
)
cd $base_dir

function parse_yaml {
   local prefix=$2
   local s='[[:space:]]*' w='[a-zA-Z0-9_]*' fs=$(echo @|tr @ '\034')
   sed -ne "s|^\($s\):|\1|" \
        -e "s|^\($s\)\($w\)$s:$s[\"']\(.*\)[\"']$s\$|\1$fs\2$fs\3|p" \
        -e "s|^\($s\)\($w\)$s:$s\(.*\)$s\$|\1$fs\2$fs\3|p"  $1 |
   awk -F$fs '{
      indent = length($1)/2;
      vname[indent] = $2;
      for (i in vname) {if (i > indent) {delete vname[i]}}
      if (length($3) > 0) {
         vn=""; for (i=0; i<indent; i++) {vn=(vn)(vname[i])("_")}
         printf("%s%s%s=\"%s\"\n", "'$prefix'",vn, $2, $3);
      }
   }'
}

yaml() {
    python3 -c "import yaml;print(yaml.safe_load(open('$1'))$2)"
}

# $(parse_yaml ../config/aside.yaml)

MINIO_CONSOLE_PORT=$(yaml ./config/aside.yaml "['minio']['console-port']")
MINIO_API_PORT=$(yaml ./config/aside.yaml "['minio']['api-port']")

./bin/minio-store server ./data --console-address ":$MINIO_CONSOLE_PORT" --address ":$MINIO_API_PORT"
